org.springframework.data.convert

## Class JodaTimeConverters

- java.lang.Object
- - org.springframework.data.convert.JodaTimeConverters

Deprecated.
since 2.3, use JSR-310 types as replacement for Joda-Time.

    @Deprecated
    public abstract class JodaTimeConverters
    extends Object

Helper class to register JodaTime specific `Converter` implementations in case the library is present on the classpath.

Author:
  Oliver Gierke, Christoph Strobl, Jens Schauder, Mark Paluch

### Nested Class Summary

Nested Classes
`static class` `JodaTimeConverters.DateTimeToDateConverter` Deprecated.
`static class` `JodaTimeConverters.DateToDateTimeConverter` Deprecated.
`static class` `JodaTimeConverters.DateToLocalDateConverter` Deprecated.
`static class` `JodaTimeConverters.DateToLocalDateTimeConverter` Deprecated.
`static class` `JodaTimeConverters.InstantToJodaLocalDateTime` Deprecated.
`static class` `JodaTimeConverters.JodaLocalDateTimeToInstant` Deprecated.
`static class` `JodaTimeConverters.LocalDateTimeToDateConverter` Deprecated.
`static class` `JodaTimeConverters.LocalDateTimeToJodaDateTime` Deprecated.
`static class` `JodaTimeConverters.LocalDateTimeToJodaLocalDateTime` Deprecated.
`static class` `JodaTimeConverters.LocalDateTimeToJsr310Converter` Deprecated.
`static class` `JodaTimeConverters.LocalDateToDateConverter` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`JodaTimeConverters()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static Collection<Converter<?,?>>` `getConvertersToRegister()` Deprecated. Returns the converters to be registered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JodaTimeConverters

    public JodaTimeConverters()

Deprecated.

### Method Detail

#### getConvertersToRegister

    public static Collection<Converter<?,?>> getConvertersToRegister()

Deprecated.
Returns the converters to be registered. Will only return converters in case JodaTime is present on the class.

Returns: